Bug 293487 - Plasmoid crashes when a group chat is started
Summary: Plasmoid crashes when a group chat is started
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: chat-plasmoid (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: 0.4.0
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-06 23:17 UTC by David Edmundson
Modified: 2012-07-06 12:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Edmundson 2012-02-06 23:17:21 UTC
Don't register for group chats if you can't support them!


    return Tp::ChannelClassSpecList() << Tp::ChannelClassSpec::textChat()
-                                      << Tp::ChannelClassSpec::unnamedTextChat()
-                                      << Tp::ChannelClassSpec::textChatroom();


Also double check before you ever use channel::TargetContact().
Comment 1 David Edmundson 2012-02-09 14:12:17 UTC
Git commit 014f4ae3aa7882d513f6238680d6057de32e83a5 by David Edmundson.
Committed on 09/02/2012 at 00:04.
Pushed by davidedmundson into branch 'master'.

Don't register to support group chats when we don't actually support them.

M  +1    -3    plasmoid/declarative-plugin/telepathy-text-observer.cpp

http://commits.kde.org/telepathy-text-ui/014f4ae3aa7882d513f6238680d6057de32e83a5
Comment 2 David Edmundson 2012-02-09 14:12:17 UTC
Git commit f46e8c5798f02e632192f2af8b9b436e3affea3e by David Edmundson.
Committed on 09/02/2012 at 00:11.
Pushed by davidedmundson into branch 'master'.

targetContact() can be null, so check before trying to use it.

M  +25   -6    plasmoid/declarative-plugin/conversation-target.cpp
M  +1    -1    plasmoid/declarative-plugin/conversation-target.h

http://commits.kde.org/telepathy-text-ui/f46e8c5798f02e632192f2af8b9b436e3affea3e
Comment 3 Lasath Fernando 2012-02-15 12:58:39 UTC
Since david has pretty much fixed this, I'm closing this bug.